
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpClient 4.2.3</title>
</head><body onload="loadPkgPane('HttpClient 4.2.3: org.apache.http.impl.auth', 'pkg-app.html');">
  <!-- render overall pkg coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:12:32 CET</div>

        
                <div class="navBar"><span class="navBarCurrent">App</span>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<a href="pkg-risks.html">Clouds</a></div>
        
                    	<div class="navBar"><a href="../../../../../pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.auth:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      1,017
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      4,049
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      370
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      5.19
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      274
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      2,149
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.36
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.53
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      196
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      21
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1.89
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      30
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.auth:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      1,017
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      4,049
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      370
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      5.19
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      274
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      2,149
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.36
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.53
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      196
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      21
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1.89
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      30
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;Package</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Files</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
			<a class='cloudLink' href='pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.auth' src='../../../../..//img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.auth</span>
    	   org.apache.http.impl.auth
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">21.0</span>
          21
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.8877552</span>
          1.89
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">468.0</span>
          468
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.68527234</span>
          68.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.68527234</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="31.5% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="68.5% Covered" class="barPositive " style="width: 68.5%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Class</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Methods</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr>  <!-- render list of class coverage graphs -->
                             <tr>
    <td class="graphItem">
			
	        <span class="sortValue">KerberosScheme</span>
    	  <a href="KerberosScheme.html#KerberosScheme" title="KerberosScheme">KerberosScheme</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.125</span>
          1.12
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">20.0</span>
          20
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NTLMEngineException</span>
    	  <a href="NTLMEngineException.html#NTLMEngineException" title="NTLMEngineException">NTLMEngineException</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NTLMEngineImpl.Type2Message</span>
    	  <a href="NTLMEngineImpl.html#NTLMEngineImpl.Type2Message" title="NTLMEngineImpl.Type2Message">NTLMEngineImpl.Type2Message</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2</span>
          2.2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">37.0</span>
          37
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NTLMScheme</span>
    	  <a href="NTLMScheme.html#NTLMScheme" title="NTLMScheme">NTLMScheme</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">58.0</span>
          58
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NTLMSchemeFactory</span>
    	  <a href="NTLMSchemeFactory.html#NTLMSchemeFactory" title="NTLMSchemeFactory">NTLMSchemeFactory</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NegotiateScheme</span>
    	  <a href="NegotiateScheme.html#NegotiateScheme" title="NegotiateScheme">NegotiateScheme</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">10.0</span>
          10
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.7</span>
          1.7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">48.0</span>
          48
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NegotiateSchemeFactory</span>
    	  <a href="NegotiateSchemeFactory.html#NegotiateSchemeFactory" title="NegotiateSchemeFactory">NegotiateSchemeFactory</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">14.0</span>
          14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">UnsupportedDigestAlgorithmException</span>
    	  <a href="UnsupportedDigestAlgorithmException.html#UnsupportedDigestAlgorithmException" title="UnsupportedDigestAlgorithmException">UnsupportedDigestAlgorithmException</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.33333334</span>
          33.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.33333334</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="66.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="33.3% Covered" class="barPositive " style="width: 33.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NTLMEngineImpl.NTLMMessage</span>
    	  <a href="NTLMEngineImpl.html#NTLMEngineImpl.NTLMMessage" title="NTLMEngineImpl.NTLMMessage">NTLMEngineImpl.NTLMMessage</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">15.0</span>
          15
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5333333</span>
          1.53
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">50.0</span>
          50
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.35064936</span>
          35.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.35064936</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="64.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="35.1% Covered" class="barPositive " style="width: 35.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">SPNegoScheme</span>
    	  <a href="SPNegoScheme.html#SPNegoScheme" title="SPNegoScheme">SPNegoScheme</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.125</span>
          1.12
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">10.0</span>
          10
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.5</span>
          50%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.5</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="50% Covered" class="barPositive " style="width: 50%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">KerberosSchemeFactory</span>
    	  <a href="KerberosSchemeFactory.html#KerberosSchemeFactory" title="KerberosSchemeFactory">KerberosSchemeFactory</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.5555556</span>
          55.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.5555556</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="44.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="55.6% Covered" class="barPositive " style="width: 55.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">SPNegoSchemeFactory</span>
    	  <a href="SPNegoSchemeFactory.html#SPNegoSchemeFactory" title="SPNegoSchemeFactory">SPNegoSchemeFactory</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.5555556</span>
          55.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.5555556</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="44.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="55.6% Covered" class="barPositive " style="width: 55.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">GGSSchemeBase</span>
    	  <a href="GGSSchemeBase.html#GGSSchemeBase" title="GGSSchemeBase">GGSSchemeBase</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.75</span>
          3.75
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">45.0</span>
          45
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.5673077</span>
          56.7%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.5673077</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="43.3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="56.7% Covered" class="barPositive " style="width: 56.7%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NTLMEngineImpl</span>
    	  <a href="NTLMEngineImpl.html#NTLMEngineImpl" title="NTLMEngineImpl">NTLMEngineImpl</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">33.0</span>
          33
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5454545</span>
          1.55
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">60.0</span>
          60
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.73913044</span>
          73.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.73913044</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="26.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="73.9% Covered" class="barPositive " style="width: 73.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NTLMEngineImpl.CipherGen</span>
    	  <a href="NTLMEngineImpl.html#NTLMEngineImpl.CipherGen" title="NTLMEngineImpl.CipherGen">NTLMEngineImpl.CipherGen</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">20.0</span>
          20
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">43.0</span>
          43
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.7409639</span>
          74.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.7409639</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="25.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="74.1% Covered" class="barPositive " style="width: 74.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NTLMEngineImpl.Type3Message</span>
    	  <a href="NTLMEngineImpl.html#NTLMEngineImpl.Type3Message" title="NTLMEngineImpl.Type3Message">NTLMEngineImpl.Type3Message</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.5</span>
          7.5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">25.0</span>
          25
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.75728154</span>
          75.7%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.75728154</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="24.3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="75.7% Covered" class="barPositive " style="width: 75.7%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BasicScheme</span>
    	  <a href="BasicScheme.html#BasicScheme" title="BasicScheme">BasicScheme</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">9.0</span>
          9
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.6666666</span>
          1.67
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">11.0</span>
          11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.78846157</span>
          78.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.78846157</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="21.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="78.8% Covered" class="barPositive " style="width: 78.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NTLMEngineImpl.HMACMD5</span>
    	  <a href="NTLMEngineImpl.html#NTLMEngineImpl.HMACMD5" title="NTLMEngineImpl.HMACMD5">NTLMEngineImpl.HMACMD5</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8055556</span>
          80.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8055556</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="19.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="80.6% Covered" class="barPositive " style="width: 80.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">AuthSchemeBase</span>
    	  <a href="AuthSchemeBase.html#AuthSchemeBase" title="AuthSchemeBase">AuthSchemeBase</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.5714285</span>
          2.57
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.875</span>
          87.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.875</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="12.5% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="87.5% Covered" class="barPositive " style="width: 87.5%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">HttpEntityDigester</span>
    	  <a href="HttpEntityDigester.html#HttpEntityDigester" title="HttpEntityDigester">HttpEntityDigester</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.6</span>
          1.6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9230769</span>
          92.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9230769</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="7.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="92.3% Covered" class="barPositive " style="width: 92.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NTLMEngineImpl.Type1Message</span>
    	  <a href="NTLMEngineImpl.html#NTLMEngineImpl.Type1Message" title="NTLMEngineImpl.Type1Message">NTLMEngineImpl.Type1Message</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5</span>
          1.5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.95454544</span>
          95.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.95454544</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="4.5% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="95.5% Covered" class="barPositive " style="width: 95.5%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">DigestScheme</span>
    	  <a href="DigestScheme.html#DigestScheme" title="DigestScheme">DigestScheme</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">16.0</span>
          16
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.375</span>
          3.38
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">9.0</span>
          9
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9628099</span>
          96.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9628099</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="3.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="96.3% Covered" class="barPositive " style="width: 96.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BasicSchemeFactory</span>
    	  <a href="BasicSchemeFactory.html#BasicSchemeFactory" title="BasicSchemeFactory">BasicSchemeFactory</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">DigestSchemeFactory</span>
    	  <a href="DigestSchemeFactory.html#DigestSchemeFactory" title="DigestSchemeFactory">DigestSchemeFactory</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NTLMEngineImpl.MD4</span>
    	  <a href="NTLMEngineImpl.html#NTLMEngineImpl.MD4" title="NTLMEngineImpl.MD4">NTLMEngineImpl.MD4</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.7142857</span>
          1.71
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">RFC2617Scheme</span>
    	  <a href="RFC2617Scheme.html#RFC2617Scheme" title="RFC2617Scheme">RFC2617Scheme</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.3333334</span>
          1.33
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:13:08 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>